Buy Philips Corded Hair Clipper Serious 3000 HC3505 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Corded Hair Clipper Serious 3000 HC3505

PRODUCT CODE: PH-HC3505

0
0
0
0
0

Rs. 16,499

Reward Points Icon

Earn 82 RED points with this purchase More Info

Offer Icon

Special Discount - Checkout using Sampath, Commercial, NTB, BOC, Peoples, HNB, NDB, Pan Asia, Seylan, UNION, Union Pay International, DFCC, LOLC, CDB Banks, Mintpay, KOKO payment method and get extra 10% off T&C

T&C ×

Special Discount - Checkout Using Sampath, Commercial, NTB, BOC, Peoples, HNB, NDB, Pan Asia, Seylan, UNION, Union Pay International, DFCC, LOLC, CDB Banks, Mintpay, KOKO Payment Methods And Get Extra Discount.
Offer Icon

Pay in 3 X Rs. 5,500 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

Delivery - Standard 3 To 5 Working Days.

1 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.


www.singersl.com

Type Hair Clippers
Blade Material Stainless Steel Blade
Settings 13 Number Of Length Settings
Technology Trim-N-Flow Technology
Cutter Size Precision (Size Of Steps): By 2mm, Cutter Width: 41mm, Range Of Length Settings: From 0.5 To 23 mm
Special Features Maintenance Free: No Oil Needed
Cable Corded Use Only
Voltage 100-240 V
Accessories Adjustable Hair Comb, Cleaning Brush
Other Information Cleaning: Removable Cutter, Washable Blades
Warranty 1 Year

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Philips OneBlade Face Rechargeable Shaver QP1424
10.10 offer

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Hand Carry Hair Dryer BY503
10.10 offer

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Singer Rechargeable Hair Clipper With Two Detachable Combs
10.10 offer

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Philips Beard Trimmer BT1230 - Stainless Steel Blades
10.10 offer

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Philips Beard Trimmer BT1235 - Stainless Steel Blades
10.10 offer

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
10.10 offer

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair
10.10 offer

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Hair Clipper - SIN-RFC-1819
10.10 offer

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Canon Ink Cartridge - PG-745S (Black)

CAN-C-745S-B

0
0
0
0
0
Canon Ink Cartridge - PG-745S (Black)
Rs 5,299
Indesit Cooker Hood, Angled, Air Flow 647m3h
10.10 offer

IND-IHVP66LMK

0
0
0
0
0
Indesit Cooker Hood, Angled, Air Flow 647m3h
Rs 91,299
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink & White)
sale

PN-EH-ND21-P605

0
0
0
0
0
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink &...
Rs 7,019
Rs 7,799 10% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products